#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
using namespace std;

void razmena(int *a,int *b)
{
	int pom;
	pom=*a;
	*a=*b;
	*b=pom;
}
long merg(int a[],int n)
{
	int k,i;
	k=0;
	int s;
	s=0;
	for(i=n-1;i>=0;i--)
	{
		s=s+(a[i]*pow(10,k));
		k++;
	}
	return s;
}
int main(int argc, char** argv) {
	int n,i,j,k,max,r;
	long s;
	cin>>n;
	int a[n],z[n],def[n];
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
	max=0;
	for(i=0;i<n;i++)
	{
		for(j=i+1;j<n;j++)
		{
			razmena(&a[i],&a[j]);
			s=merg(a,n);
			if(s>max)
			{
				max=s;
				//cout<<max<<endl;
				for(r=0;r<n;r++)
				{
					z[r]=a[r];
				}
			}
			razmena(&a[j],&a[i]);
		}
	}
	for(i=0;i<n;i++)
	{
		cout<<z[i]<<" ";
	}
	return 0;
}